SRC-2015-0002 : Oracle Endeca Tools and Frameworks Session Generation Authentication Bypass Vulnerability

CVE ID:

CVE-2015-2607

CVSS Score:

5.0, (AV:N/AC:L/Au:N/C:P/I:N/A:N)

Affected Vendors:

Oracle

Affected Products:

Versions 3.1.1, 3.1.2, 11.0, 11.1 of the following products are confirmed vulnerable:

  • Oracle Commerce Guided Search
  • Oracle Commerce Experience Manager
  • Oracle Endeca Tools and Framework

Vulnerability Details:

This vulnerability allows remote attackers to bypass authentication simply by making a HTTP request to /casconsole/ using specific values for the ‘auth’ and ‘timestamp’ parameters. The server responds with a 302 redirect request but also provides an authenticated ‘ESESSIONID’. This session id can be used to access the restricted Content Acquisition System (CAS) interface on the Endeca Tools and Frameworks installation.

Vendor Response:

Oracle has issued an update to correct this vulnerability. More details can be found at: http://www.oracle.com/technetwork/topics/security/cpujul2015-2367936.html

Disclosure Timeline:

  • 2015-02-01 – Verified and sold to Beyond Security
  • 2015-06-14 – Coordinated public release of advisory

Credit:

This vulnerability was discovered by Steven Seeley of Source Incite

Acknowledgments:

Source Incite would like to acknowledge Beyond Security’s SSD program for the help with co-ordination of this vulnerability. For more information you can view a technical blog post related to the vulnerability at https://blogs.securiteam.com/index.php/archives/2511.